Subject: bug#25864: 25.1; Incorrect rendering for Bengali compound character

From: handa <[email-masked]>
Date: Mon, 27 Feb 2017 23:01:37 +0900

Hi,

Which Bengali font are you using with Emacs?
If you are not sure about it, please type C-u C-x = while putting point
(cursor) on that incorrectly rendered Bengali character.  The *Help*
buffer shows which font is used.

---
K. Handa
[email-masked]

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> > Date: Sat, 25 Feb 2017 20:35:30 +0530
> > From: Mandar Mitra <[email-masked]>
> > Cc: [email-masked]
> > 
> > Eli Zaretskii wrote (Fri, Feb 24, 2017 at 08:14:27PM +0200):
> > > > Date: Fri, 24 Feb 2017 03:45:46 +0530
> > > > From: Mandar Mitra <[email-masked]>
> > > > 
> > > > The following Bengali compound character is not rendered correctly. To reproduce, start emacs -Q, and type / paste from a character map the following text:
> > > > 
> > > > ত্র (0x09A4, 0x09CD, Ox09B0) should be rendered as something that looks similar to এ. 
> > > > 
> > > > This sequence is rendered correctly in LibreOffice, gedit, and similar.
> > > 
> > > Can you show snapshots of the incorrect and correct rendering on your
> > > system?
> > 
> > 
> > Attached the compound character (pronounced tra) as rendered by emacs and libreoffice.

> Thanks.

> On MS-Windows, I see the character rendered by Emacs as in your
> LibreOffice snapshot.  So I think the problem is specific to libotf
> and m17n_flt, or maybe you need to upgrade them to their latest
> versions.

> I will CC Handa-san, who maintains m17n_flt, in the hope that he could
> comment on the problem.